/** @file
 * $Source: /home/cvsmanager/yoda/event/log/LogRecord.h,v $
 * $Id: LogRecord.h,v 1.2 2004/07/17 20:03:24 kusanagi Exp $
 * $Author: kusanagi $
 * 
 * Header file for the LogRecord class.
 */
#ifndef LOG_RECORD_H
#define LOG_RECORD_H

#define UINT32 unsigned int
#define UINT16 unsigned short
#define UINT8  unsigned char

#include <TObject.h>


namespace pamela {
  /**
   * LogBlock data Wrapper
   */
  class LogRecord: public TObject {
  private:
    
  public:
    /**
     * Get the run name according to a certain run number.
     * @param run Run number.
     * @return a string with the run name.
     */
    UINT32  RECORD_OBT;
    UINT8   MASKTYPE;
    UINT8   FILE_ID;
    UINT16  LINE_NO;
    UINT32  INFO1;
        
    LogRecord(void);
    ~LogRecord(void){};
    ClassDef(LogRecord, 1)
  };
}

#endif /* LOG_RECORD_H */

